Bug 214932 - system-config-network erases the "" line of "hosts" file
system-config-network erases the "" line of "hosts" file
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2006-11-09 22:29 EST by Luis Felipe Marzagao
Modified: 2008-04-04 15:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 15:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luis Felipe Marzagao 2006-11-09 22:29:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20061107 Fedora/ Firefox/

Description of problem:
After a fresh install of FC6, if you edit your hostname using system-config-network, it will remove the " localhost..." line from the "hosts" file and, therefor, will cause programs such as mc and vmwareserver really slow to load. If you manually insert back that line to hosts file, everything works fine again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC6
2. Leave network settings as anaconda's default (ip by dhcp active, auto dns etc.)
3. network and everything else works ok
4. /etc/hosts file seems ok (additional information 1)
5. Open system-config-network and change the hostname under the tab "DNS"

Actual Results:
Programs like mc took minutes do load. You are leaded to think the program has crashed.

my /etc/hosts file no longer had the line " .." (additional information 2)

8. Manually edit hosts file and add "	localhost.localdomain	localhost" plus your new hosname assigned when using system-config-network
9. Everything works fine again

Expected Results:
I'm not sure, but I think the line " ..." should've stayed in hosts file, including the new assigned hostname entered in system-config-network

Additional info:
1. Original hosts file (after a fresh install of FC6):

# Do not remove the following line, or various programs
# that require network functionality will fail.		localhost.localdomain localhost
::1		localhost.localdomain localhost

2. hots file after changing hostname in DNS tab using system-config-network tool:

# Do not remove the following line, or various programs
# that require network functionality will fail.
::1	localhost.localdomain	localhost
Comment 1 Harald Hoyer 2006-11-10 05:21:02 EST
correct... b/c ananconda set this "::1 localhost" line..
Comment 2 Harald Hoyer 2006-11-10 05:24:25 EST
will fix s-c-network
Comment 3 Andre Robatino 2006-11-10 06:05:47 EST
  This issue was first noticed in bug #211800 (and noted there that when
anaconda is fixed to write out the two lines properly, as		localhost.localdomain localhost
::1		localhost6.localdomain6 localhost6

then s-c-network does leave both lines alone).
Comment 4 Luis Felipe Marzagao 2006-11-10 07:55:26 EST
(In reply to comment #2)
> will fix s-c-network

Comment 5 Luis Felipe Marzagao 2007-01-07 20:22:36 EST
Hello, any news about this bug?
Comment 6 D. Hugh Redelmeier 2007-01-13 14:13:52 EST
[I just added this to 211800]

My symptom is described in 216919.

This may well be an Anaconda bug but no update can fix an Anaconda bug (as I
understand it).  To get a fix in out there for FC6, s-c-n needs to have a
work-around for the Anaconda bug.

Comment 7 Per Thomas Jahr 2007-03-06 15:31:01 EST
This bug is still present in FC7 test 2 (live cd). After saving from the
system-config-network, there is only this line left in /etc/hosts:
::1     localhost.localdomain   localhost

When removing the line, the BankID login Java applet used in many
Norwegian banks fails when you try to log in - it took a couple of days to
figure out what was wrong. So it would be very nice if this could be fixed for FC7. 
Comment 8 Luis Felipe Marzagao 2007-03-06 18:03:43 EST
It's stuff like this that frightens new users away from FC. The user installs,
everything seems normal, but for no reason, programs doens't load... The new
user won't even have the chance to test his recently installed FC. Only
advanced/experienced users would check into the hosts file to see if everything
is alright. Sure it would be very nice if it was fixed. Cheers, guys!
Comment 9 Bug Zapper 2008-04-04 00:34:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Per Thomas Jahr 2008-04-04 03:48:20 EDT
Cannot reproduce - WORKSFORME in F8.
Comment 11 John Poelstra 2008-04-04 15:55:55 EDT
based on comment #10 closing

Note You need to log in before you can comment on or make changes to this bug.